How to build it:

1- Install prerequisits:
	* xsltproc
	* libgrantlee5-dev (>=5.0.0)
	* libsqlite3-dev (>=3.7.0)
	* libofx-dev 
	* libboost-dev 
	* libqjson-dev (>=0.8.0)
	* qtscript5-dev 
	* qttools5-dev 
	* libqt5webkit5-dev 
	* libqt5svg5-dev 
	* libkf5coreaddons-dev 
	* libkf5archive-dev 
	* libkf5xmlgui-dev 
	* libkf5wallet-dev 
	* libkf5parts-dev 
	* libkf5newstuff-dev 
	* libkf5iconthemes-dev 
	* libkf5kdelibs4support-dev 
	* libkf5notifyconfig-dev 
	* libkf5runner-dev 
	* plasma-framework-dev 
	* kdoctools-dev 
	* kgendesignerplugin 
	* libqca-qt5-2-dev
	* libkf5activities-dev
	* kross-dev
	* sqlite3
        * qtdeclarative5-controls-plugin
	
	OPTIONAL (if the option SKG_CIPHER is set to ON):
	* libsqlcipher-dev sqlcipher
	
	Examples:
	On ubuntu:
                sudo apt-get install pkg-config build-essential cmake devscripts cdbs extra-cmake-modules kross-dev sqlite3 sqlcipher libsqlcipher-dev libgrantlee5-dev libsqlite3-dev libofx-dev libboost-dev xsltproc libqjson-dev qtscript5-dev qttools5-dev libqt5webkit5-dev libqt5svg5-dev libkf5coreaddons-dev libkf5archive-dev libkf5xmlgui-dev libkf5activities-dev libkf5wallet-dev libkf5parts-dev libkf5newstuff-dev libkf5iconthemes-dev libkf5kdelibs4support-dev libkf5notifyconfig-dev libkf5runner-dev plasma-framework-dev kdoctools-dev kgendesignerplugin libqca-qt5-2-dev qtbase5-private-dev qtdeclarative5-controls-plugin

2- Extract the archive, and enter the "skrooge" directory. Then run :
	cmake . -DCMAKE_INSTALL_PREFIX=[path to your KDE installation] -DSKG_CIPHER=[ON|OFF]
	make
	make install (as root)

	Examples:
	On ubuntu:
		mkdir build
		cd build
		cmake .. -DCMAKE_INSTALL_PREFIX=`kf5-config --prefix` -DQT_PLUGIN_INSTALL_DIR=`kf5-config --qt-plugins` -DCMAKE_BUILD_TYPE=release -DSKG_CIPHER=ON

		make
		sudo make install

		to launch it: /usr/bin/skrooge

Information about SKG_CIPHER:
  -If this option is ON, then skrooge will user sqlcipher else it will use sqlite.
  -The sqlcipher mode is more secured because even the temporary file is encrypted.
  -If the sqlcipher is activated:
    -New documents will be created in sqlcipher format
    -Existing documents are still in sqlite format
    -Skrooge is able to read both
  -else
    -New documents will be created in sqlite format
    -Existing documents are still in sqlite format
    -Skrooge is able to read only sqlite format
    
# For Static code analysis (scan-build)
CXX=clang++ CC=clang scan-build -k cmake .. -DCMAKE_INSTALL_PREFIX=`kf5-config --prefix` -DCMAKE_BUILD_TYPE=profile
make clean
scan-build -k -o results make

# With sanitizer
cmake .. -DCMAKE_INSTALL_PREFIX=`kf5-config --prefix` -DQT_PLUGIN_INSTALL_DIR=`kf5-config --qt-plugins` -DCMAKE_BUILD_TYPE=profile -DECM_ENABLE_SANITIZERS='address'

# With clazy
export CXX="clazy"
export CLAZY_CHECKS="level0,level1,level2,level3"
export CLAZY_FIXIT="fix-fromCharPtrAllocations"
cmake .. -DCMAKE_INSTALL_PREFIX=`kf5-config --prefix` -DQT_PLUGIN_INSTALL_DIR=`kf5-config --qt-plugins` -DCMAKE_BUILD_TYPE=release -DSKG_CIPHER=ON

make clean
make -i > t.txt 2>&1
cat t.txt | grep "warning:" | grep -v "ui_" | grep -v "moc_" | grep -v "_settings" |grep -v "/usr/include" | grep -v "FixIt failed" | sort -u > warning.txt 

# With coverity
export PATH=~/Telechargements/cov-analysis-linux64-7.7.0.4/bin/:$PATH
make clean
cov-build --dir cov-int make -j 4
tar caf skrooge.bz2 cov-int
